Closed Bug 1209698 Opened 7 years ago Closed 7 years ago

Bump and release marionette-client and marionette-driver version 1.0.0

Categories

(Testing :: Marionette, defect)

defect
Not set
normal

Tracking

(firefox44 fixed)

VERIFIED FIXED
mozilla44
Tracking Status
firefox44 --- fixed

People

(Reporter: whimboo, Unassigned)

References

Details

Attachments

(1 file)

Bug 1201036 released new versions of marionette-client and marionette-driver. But the version bump for marionette-driver from 0.13 to 0.2.0 causes dependency conflicts:

error: marionette-driver 0.2 is installed but marionette-driver>=0.13 is required by set(['marionette-client'])
I have just tried to install this from pypi and it worked

dburns in ~ λ mkvirtualenv mclient
New python executable in mclient/bin/python2.7
Also creating executable in mclient/bin/python
Installing setuptools, pip, wheel...done.
(mclient)dburns in ~ λ pip install marionette-client
You are using pip version 7.1.0, however version 7.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Collecting marionette-client
  Downloading marionette_client-0.20.tar.gz (144kB)
    100% |████████████████████████████████| 147kB 1.2MB/s
Collecting marionette-driver>=0.13 (from marionette-client)
  Downloading marionette_driver-0.13.tar.gz
Collecting browsermob-proxy>=0.6.0 (from marionette-client)
Collecting manifestparser>=1.1 (from marionette-client)
Collecting mozhttpd>=0.7 (from marionette-client)
Collecting mozinfo>=0.8 (from marionette-client)
Collecting mozprocess>=0.9 (from marionette-client)
Collecting mozrunner>=6.9 (from marionette-client)
  Downloading mozrunner-6.10.tar.gz (60kB)
    100% |████████████████████████████████| 61kB 1.6MB/s
Collecting mozdevice>=0.44 (from marionette-client)
Collecting mozlog>=3.0 (from marionette-client)
Collecting moznetwork>=0.21 (from marionette-client)
Collecting mozcrash>=0.5 (from marionette-client)
  Downloading mozcrash-0.16.tar.gz
Collecting mozprofile>=0.7 (from marionette-client)
  Downloading mozprofile-0.27.tar.gz
Collecting moztest>=0.7 (from marionette-client)
Collecting mozversion>=1.1 (from marionette-client)
  Downloading mozversion-1.4.tar.gz
Collecting marionette-transport==0.7 (from marionette-driver>=0.13->marionette-client)
  Downloading marionette-transport-0.7.tar.gz
Collecting requests>=1.1.0 (from browsermob-proxy>=0.6.0->marionette-client)
  Using cached requests-2.7.0-py2.py3-none-any.whl
Collecting mozfile>=0.12 (from mozinfo>=0.8->marionette-client)
Collecting blessings>=1.3 (from mozlog>=3.0->marionette-client)
Building wheels for collected packages: marionette-client, marionette-driver, mozrunner, mozcrash, mozprofile, mozversion, marionette-transport
  Running setup.py bdist_wheel for marionette-client
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/a5/e1/47/81aa226c404bd16db142d32711ae0005f868623b4f30dc3937
  Running setup.py bdist_wheel for marionette-driver
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/32/6e/0d/1ed4682638c2752e56d8bad4681fa2d01dc8dac7db26885d4f
  Running setup.py bdist_wheel for mozrunner
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/ed/25/9c/38699906d91a762820e73fc27b215d0d0285ea52e94b23d67b
  Running setup.py bdist_wheel for mozcrash
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/7e/93/4a/7a4aaae147baa063b910a3139cd586ca6beb8cdd115ca03165
  Running setup.py bdist_wheel for mozprofile
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/43/26/bc/ab47c64ce9cc2a8d7c75209a67147ca1a4cd17780532f1967a
  Running setup.py bdist_wheel for mozversion
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/4a/90/71/c72ae42d7fc14a98a06a780ba41b2f4c36688e4b075a6c4b60
  Running setup.py bdist_wheel for marionette-transport
  Stored in directory: /Users/dburns/Library/Caches/pip/wheels/8b/b6/af/977cdf78d84b747da09830242aaa501c4d9621bd0b2fc07bfd
Successfully built marionette-client marionette-driver mozrunner mozcrash mozprofile mozversion marionette-transport
Installing collected packages: marionette-transport, mozfile, blessings, mozlog, mozcrash, mozinfo, mozprocess, moznetwork, mozdevice, mozprofile, mozrunner, marionette-driver, requests, browsermob-proxy, manifestparser, mozhttpd, moztest, mozversion, marionette-client
Successfully installed blessings-1.6 browsermob-proxy-0.7.1 manifestparser-1.1 marionette-client-0.20 marionette-driver-0.13 marionette-transport-0.7 mozcrash-0.16 mozdevice-0.46 mozfile-1.2 mozhttpd-0.7 mozinfo-0.8 mozlog-3.0 moznetwork-0.27 mozprocess-0.22 mozprofile-0.27 mozrunner-6.10 moztest-0.7 mozversion-1.4 requests-2.7.0
Summary: Bump marionette-client and marionette-driver to 0.21 → Bump and release marionette-client and marionette-driver
Please notice that marionette-driver 0.13 but not 0.2.0 gets installed:

marionette-client-0.20
marionette-driver-0.13
Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

The version numbers have been moved to be major.minor.patch to allow
better versioning moving forward.
Attachment #8667606 - Flags: review?(jgriffin)
Attachment #8667606 - Flags: review?(jgriffin)
Comment on attachment 8667606 [details]
MozReview Request: Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

https://reviewboard.mozilla.org/r/20789/#review18617

::: testing/marionette/client/requirements.txt:1
(Diff revision 1)
> -marionette-driver >= 0.13
> +marionette-driver >= 0.2.1

So this won't work as intended.  To Python, 0.2.1 is less than 0.13 (because 0.2 < 0.13) so making this change will result in all kinds of mayhem.

If we want to move to major.minor.patch, we need to do something like 0.20.1, etc.
Comment on attachment 8667606 [details]
MozReview Request: Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

The version numbers have been moved to be major.minor.patch to allow
better versioning moving forward.
Attachment #8667606 - Flags: review?(jgriffin)
Comment on attachment 8667606 [details]
MozReview Request: Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

https://reviewboard.mozilla.org/r/20789/#review18621

::: testing/marionette/client/marionette/__init__.py:6
(Diff revision 2)
> -__version__ = '0.20'
> +__version__ = '0.3.0'

Same issue here; 0.3.0 < 0.20; we should probably bump this to 1.0.0, to match the driver version.
Attachment #8667606 - Flags: review?(jgriffin)
On IRC I proposed to use 0.21.0 in both cases yesterday just in case we are not ready for a 1.0.0 release.
(In reply to Henrik Skupin (:whimboo) from comment #7)
> On IRC I proposed to use 0.21.0 in both cases yesterday just in case we are
> not ready for a 1.0.0 release.

Version numbers are arbitary so it really doesn't matter :)
Comment on attachment 8667606 [details]
MozReview Request: Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

The version numbers have been moved to be major.minor.patch to allow
better versioning moving forward.
Attachment #8667606 - Flags: review?(jgriffin)
Attachment #8667606 - Flags: review?(jgriffin) → review+
Comment on attachment 8667606 [details]
MozReview Request: Bug 1209698: Bump version numbers for Marionette packages; r?jgriffin

https://reviewboard.mozilla.org/r/20789/#review18751
This has been uploaded to pypi
https://hg.mozilla.org/mozilla-central/rev/1b95ae3978ff
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla44
This release works perfectly now. Thanks David.
Status: RESOLVED → VERIFIED
Summary: Bump and release marionette-client and marionette-driver → Bump and release marionette-client and marionette-driver version 1.0.0
Blocks: 1211679
You need to log in before you can comment on or make changes to this bug.